> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/using-the-graphql-api/mutations/quotechangeapplypriceadjustment.md).

# quoteChangeApplyPriceAdjustment

Apply the price adjustments on a quote change

**Scope required:** standard:write

```graphql
mutation quoteChangeApplyPriceAdjustment ($quoteChangeId: ID!, $priceAdjustmentPercentage: Float!, $startDate: ISO8601Date!) {
  quoteChangeApplyPriceAdjustment (quoteChangeId: $quoteChangeId, priceAdjustmentPercentage: $priceAdjustmentPercentage, startDate: $startDate) {
      errors
      quoteChange {
        accountId
        currencyId
        endDate
        evergreen
        id
        isTrial
        name
        priceAdjustmentAllowed
        priceAdjustmentLastDate
        priceAdjustmentPercentage
        priceListId
        quoteId
        quotePlanId
        rampIntervalMonths
        renewalSummary
        renewalTermMonths
        startDate
        subscriptionId
        tenantId
        trialEndDate
        trialStartDate
      }
  }
}
```

## Arguments

```json
{
  "quoteChangeId": "456123",
  "priceAdjustmentPercentage": "1.00",
  "startDate": "2022-06-01"
}
```

| Name                      | Type        | Description |
| ------------------------- | ----------- | ----------- |
| quoteChangeId             | ID          |             |
| priceAdjustmentPercentage | Float       |             |
| startDate                 | ISO8601Date |             |

## Response

| Name        | Type                                                         | Description |
| ----------- | ------------------------------------------------------------ | ----------- |
| errors      | List (String)                                                |             |
| quoteChange | [QuoteChange](/developer/api-reference/types/quotechange.md) |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/quotechangeapplypriceadjustment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
